%global __requires_exclude pkgconfig.libxml-2.0

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:		GNOME XML documentation utilities
Name:			gnome-doc-utils
Version:		0.20.10
Release:		%mkrel 21
License:		GPLv2+ and LGPLv2+ and GFDL
Group:			Publishing
Url:			https://www.gnome.org/
Source0:		https://download.gnome.org/sources/%name/%{url_ver}/%{name}-%{version}.tar.xz
# RH bug #438638 / GNOME bug #524207
Patch1:			gnome-doc-utils-0.14.0-package.patch
Patch2:			gnome-doc-utils-0.20.10-python3.patch
# (fc) use catalog for dtd validation (GNOME bug #497055)
Patch10:		gnome-doc-utils-0.12.1-catalog.patch
Patch11:		0001-Makefile.am-Fix-gnome-doc-utils.m4-inclusion.patch
Patch13:		gnome-doc-utils-0.20.10-configure-py312.patch
BuildArch:		noarch
BuildRequires:		gettext-devel
BuildRequires:		intltool
BuildRequires:		xsltproc
BuildRequires:		pkgconfig(libxslt)
BuildRequires:		python3-libxml2
BuildRequires:		pkgconfig(python3)
Requires:		docbook-dtds
Requires:		python3-libxml2
Requires:		xsltproc
Provides:		xml2po = %{version}-%{release}

%description
gnome-doc-utils is a collection of documentation utilities for the Gnome
project. Notably, it contains utilities for building documentation and
all auxiliary files in your source tree, and it contains the DocBook
XSLT stylesheets that were once distributed with Yelp.

%prep
%autosetup -p1

rm -f m4/glib-gettext.m4
touch compile

%build
autoreconf -vfi
%configure \
	--build=%{_build} \
	--disable-scrollkeeper \
	--enable-documentation

%make_build

sed -i s/python$/python3/g xml2po/xml2po/xml2po

%check
%make_build check

%install
%make_install pkgconfigdir=%{_datadir}/pkgconfig/

%find_lang %{name} --all-name --with-gnome

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_bindir}/gnome-doc-prepare
%{_bindir}/gnome-doc-tool
%{_bindir}/xml2po
%{_datadir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4
%{_datadir}/%{name}/
%{_mandir}/man1/xml2po.1*
%{python3_sitelib}/xml2po/

%{_datadir}/xml/gnome
%{_datadir}/xml/mallard



%changelog
* Tue May 14 2024 daviddavid <daviddavid> 0.20.10-21.mga10
+ Revision: 2064072
- workaround for python 3.12 distutils deprecation for configure script

* Tue Dec 19 2023 daviddavid <daviddavid> 0.20.10-20.mga10
+ Revision: 2019236
- rebuild for py3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.20.10-19.mga9
+ Revision: 1821074
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tmb <tmb> 0.20.10-18.mga9
+ Revision: 1773429
- rebuild for python 3.10

* Tue Mar 16 2021 tmb <tmb> 0.20.10-17.mga9
+ Revision: 1703807
- rebuild for python 3.9

* Mon Dec 28 2020 daviddavid <daviddavid> 0.20.10-16.mga8
+ Revision: 1664418
- port more to python3

* Wed Apr 22 2020 ovitters <ovitters> 0.20.10-15.mga8
+ Revision: 1570807
- rebuild for to test removal of deprecated macros
+ danf <danf>
- Switch URLs from http: to https:

* Sun Feb 16 2020 umeabot <umeabot> 0.20.10-14.mga8
+ Revision: 1532186
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Sep 16 2019 tv <tv> 0.20.10-13.mga8
+ Revision: 1441913
- port to python-3

* Fri Dec 28 2018 wally <wally> 0.20.10-12.mga7
+ Revision: 1345535
- clean (build)requires
- update license

* Thu Sep 20 2018 umeabot <umeabot> 0.20.10-11.mga7
+ Revision: 1278429
- Mageia 7 Mass Rebuild

* Thu Aug 02 2018 wally <wally> 0.20.10-10.mga7
+ Revision: 1246947
- provide xml2po

* Mon Jan 30 2017 wally <wally> 0.20.10-9.mga6
+ Revision: 1084257
- require xsltproc instead of libxslt-proc

* Fri Feb 26 2016 luigiwalser <luigiwalser> 0.20.10-8.mga6
+ Revision: 979721
- remove local copy of glib-gettext.m4

* Fri Feb 05 2016 umeabot <umeabot> 0.20.10-7.mga6
+ Revision: 938530
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20.10-6.mga5
+ Revision: 749817
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.10-5.mga5
+ Revision: 679719
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat May 31 2014 pterjan <pterjan> 0.20.10-4.mga5
+ Revision: 628224
- Rebuild for new Python

* Fri Oct 18 2013 umeabot <umeabot> 0.20.10-3.mga4
+ Revision: 505051
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20.10-2.mga3
+ Revision: 352111
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 26 2012 ovitters <ovitters> 0.20.10-1.mga2
+ Revision: 226824
- new version 0.20.10

* Wed Mar 21 2012 ovitters <ovitters> 0.20.9-1.mga2
+ Revision: 225222
- update file list
- new version 0.20.9
- new version 0.20.8

* Tue Mar 06 2012 fwang <fwang> 0.20.7-2.mga2
+ Revision: 220237
- rebuild for new missing packages

* Fri Mar 02 2012 ovitters <ovitters> 0.20.7-1.mga2
+ Revision: 216939
- update file list
- update file list
- enable documentation
- update buildrequires
- new version 0.20.7
- use xz tarball
- clean spec

* Sat Jul 02 2011 wally <wally> 0.20.6-1.mga2
+ Revision: 117507
- new version 0.20.6
- use configure2_5x macro (and workaround noarch build failure)
- clean .spec a bit

* Sat Mar 26 2011 pterjan <pterjan> 0.20.5-1.mga1
+ Revision: 77798
- Update to 0.20.5

* Sun Jan 16 2011 pterjan <pterjan> 0.20.3-3.mga1
+ Revision: 20620
- Rebuild for python 2.7

* Sun Jan 09 2011 blino <blino> 0.20.3-2.mga1
+ Revision: 3275
- remove old define and comment
- imported package gnome-doc-utils


* Mon Dec 20 2010 Götz Waschk <waschk@mandriva.org> 0.20.3-1mdv2011.0
+ Revision: 623330
- update to new version 0.20.3

* Tue Nov 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.20.2-5mdv2011.0
+ Revision: 591926
- python-devel isn't a BR now that the python Makefile has been moved to the
  python main package

* Sun Oct 31 2010 Funda Wang <fwang@mandriva.org> 0.20.2-4mdv2011.0
+ Revision: 591270
- rebuild

* Sun Oct 31 2010 Funda Wang <fwang@mandriva.org> 0.20.2-3mdv2011.0
+ Revision: 590928
- xml2po requires python's Makefile to run

* Sun Oct 31 2010 Funda Wang <fwang@mandriva.org> 0.20.2-2mdv2011.0
+ Revision: 590734
- rebuild for py2.7
- BR python devel

* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 0.20.2-1mdv2011.0
+ Revision: 581803
- update to new version 0.20.2

* Mon Apr 26 2010 Götz Waschk <waschk@mandriva.org> 0.20.1-1mdv2010.1
+ Revision: 539205
- update to new version 0.20.1

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 0.20.0-1mdv2010.1
+ Revision: 528901
- update to new version 0.20.0

* Mon Feb 22 2010 Götz Waschk <waschk@mandriva.org> 0.19.5-1mdv2010.1
+ Revision: 509415
- update to new version 0.19.5

* Tue Feb 09 2010 Götz Waschk <waschk@mandriva.org> 0.19.4-1mdv2010.1
+ Revision: 502719
- update to new version 0.19.4

* Tue Jan 26 2010 Götz Waschk <waschk@mandriva.org> 0.19.3-1mdv2010.1
+ Revision: 496504
- update to new version 0.19.3

* Mon Jan 11 2010 Götz Waschk <waschk@mandriva.org> 0.19.2-1mdv2010.1
+ Revision: 489965
- update to new version 0.19.2

* Wed Jan 06 2010 Götz Waschk <waschk@mandriva.org> 0.19.1-1mdv2010.1
+ Revision: 486562
- update to new version 0.19.1

* Sat Nov 21 2009 Götz Waschk <waschk@mandriva.org> 0.18.1-1mdv2010.1
+ Revision: 467788
- update to new version 0.18.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 0.18.0-1mdv2010.0
+ Revision: 446698
- update to new version 0.18.0

* Thu Sep 10 2009 Götz Waschk <waschk@mandriva.org> 0.17.5-1mdv2010.0
+ Revision: 437419
- update to new version 0.17.5

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 0.17.4-1mdv2010.0
+ Revision: 420778
- disable parallel build
- update to new version 0.17.4

* Tue Jul 28 2009 Götz Waschk <waschk@mandriva.org> 0.17.3-1mdv2010.0
+ Revision: 401407
- update to new version 0.17.3

* Sun Jun 28 2009 Götz Waschk <waschk@mandriva.org> 0.17.2-1mdv2010.0
+ Revision: 390427
- update build deps
- new version
- update file list

* Mon Jun 15 2009 Götz Waschk <waschk@mandriva.org> 0.17.1-1mdv2010.0
+ Revision: 385964
- update to new version 0.17.1

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 0.16.1-1mdv2009.1
+ Revision: 367218
- update to new version 0.16.1

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 0.16.0-1mdv2009.1
+ Revision: 356129
- update to new version 0.16.0

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 0.15.2-1mdv2009.1
+ Revision: 346878
- update to new version 0.15.2

* Mon Feb 02 2009 Götz Waschk <waschk@mandriva.org> 0.15.1-1mdv2009.1
+ Revision: 336344
- update to new version 0.15.1

* Sat Jan 10 2009 Götz Waschk <waschk@mandriva.org> 0.14.2-1mdv2009.1
+ Revision: 327957
- update to new version 0.14.2

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 0.14.1-1mdv2009.1
+ Revision: 315788
- update to new version 0.14.1

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 0.14.0-1mdv2009.0
+ Revision: 287253
- new version
- update license

* Thu Aug 28 2008 Götz Waschk <waschk@mandriva.org> 0.13.1-1mdv2009.0
+ Revision: 276871
- new version
- fix build

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.12.2-2mdv2009.0
+ Revision: 221086
- rebuild

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 0.12.2-1mdv2008.1
+ Revision: 183223
- new version

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 0.12.1-1mdv2008.1
+ Revision: 166379
- new version
- rediff the patch

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 0.12.0-2mdv2008.1
+ Revision: 150139
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 0.12.0-1mdv2008.0
+ Revision: 89360
- new version

* Sun Aug 19 2007 Götz Waschk <waschk@mandriva.org> 0.11.2-1mdv2008.0
+ Revision: 67038
- new version
- fix build

* Wed Aug 01 2007 Götz Waschk <waschk@mandriva.org> 0.11.1-2mdv2008.0
+ Revision: 57362
- depend on docbook DTDs

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 0.11.1-1mdv2008.0
+ Revision: 56702
- fix buildrequires
- new version
- fix aclocal call

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 0.10.3-1mdv2008.0
+ Revision: 14134
- new version


* Thu Mar 15 2007 Götz Waschk <waschk@mandriva.org> 0.10.1-2mdv2007.1
+ Revision: 144422
- fix deps

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 0.10.1-1mdv2007.1
+ Revision: 142119
- new version

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 0.10.0-1mdv2007.1
+ Revision: 142087
- fix build
- new version

* Mon Jan 29 2007 Götz Waschk <waschk@mandriva.org> 0.9.2-1mdv2007.1
+ Revision: 115208
- new version

* Fri Jan 26 2007 Götz Waschk <waschk@mandriva.org> 0.9.1-1mdv2007.1
+ Revision: 114007
- Import gnome-doc-utils

* Fri Jan 26 2007 Götz Waschk <waschk@mandriva.org> 0.9.1-1mdv2007.1
- fix build
- unpack patch 
- new version

* Fri Sep 08 2006 Götz Waschk <waschk@mandriva.org> 0.8.0-2mdv2007.0
- fix buildrequires
- fix build

* Wed Sep 06 2006 Götz Waschk <waschk@mandriva.org> 0.8.0-1mdv2007.0
- New release 0.8.0
- Patch0: use catalog for DTD validation (fcrozat)
- disable make check for now

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 0.7.2-1mdv2007.0
- New release 0.7.2

* Tue Jun 13 2006 Götz Waschk <waschk@mandriva.org> 0.7.1-1mdv2007.0
- New release 0.7.1

* Thu Apr 13 2006 Frederic Crozat <fcrozat@mandriva.com> 0.6.0-1mdk
- Release 0.6.0

* Wed Feb 22 2006 Eskild Hustvedt <eskild@mandriva.org> 0.4.4-3mdk
- Drop old text from the description

* Wed Feb 22 2006 Frederic Crozat <fcrozat@mandriva.com> 0.4.4-2mdk
- Use mkrel

* Mon Nov 28 2005 Götz Waschk <waschk@mandriva.org> 0.4.4-1mdk
- New release 0.4.4

* Thu Oct 13 2005 Götz Waschk <waschk@mandriva.org> 0.4.3-1mdk
- drop patch
- New release 0.4.3

* Thu Oct 06 2005 Frederic Crozat <fcrozat@mandriva.com> 0.4.2-2mdk
- Patch0: fix scrollkeeper-update when using DESTDIR

* Thu Oct 06 2005 Frederic Crozat <fcrozat@mandriva.com> 0.4.2-1mdk
- Release 0.4.2
- remove patch0 (merged upstream)

* Sun Aug 28 2005 Götz Waschk <waschk@mandriva.org> 0.2.1-2mdk
- replace prereq
- encoding fix

* Wed Jul 13 2005 Götz Waschk <waschk@mandriva.org> 0.2.1-1mdk
- New release 0.2.1

* Fri Apr 29 2005 Götz Waschk <waschk@mandriva.org> 0.2.0-2mdk
- fix pkgconfig file location

* Tue Apr 05 2005 Götz Waschk <waschk@linux-mandrake.com> 0.2.0-1mdk
- New release 0.2.0

* Mon Mar 07 2005 Götz Waschk <waschk@linux-mandrake.com> 0.1.3-1mdk
- update file list
- New release 0.1.3

* Fri Jan 14 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.1.2-1mdk
- New release 0.1.2

* Mon Jan 03 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.1.1-1mdk
- New release 0.1.1

* Wed Nov 03 2004 Götz Waschk <waschk@linux-mandrake.com> 0.1-3mdk
- buildrequires fix

* Mon Nov 01 2004 Götz Waschk <waschk@linux-mandrake.com> 0.1-2mdk
- add scrollkeeper scripts
- fix deps

* Mon Nov 01 2004 Götz Waschk <waschk@linux-mandrake.com> 0.1-1mdk
- initial package

